"""create table for contact_forms

Revision ID: 9d7c2ab1e8e4
Revises: 0001
Create Date: 2023-05-23 16:06:31.869970

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func


# revision identifiers, used by Alembic.
revision = '9d7c2ab1e8e4'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'contact_forms',
        sa.Column('id', sa.String(36), primary_key=True, default=None),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.DateTime(), nullable=False, server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), nullable=False, server_default=func.now(), onupdate=func.now())
    )


def downgrade():
    op.drop_table('contact_forms')